% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CST_RFTemp.R
\name{.smooth}
\alias{.smooth}
\title{Smoothening using convolution with a circular kernel}
\usage{
.smooth(z, sdim)
}
\arguments{
\item{z}{matrix with the input field to smoothen, with dimensions `c(ns, ns)`}

\item{sdim}{the smoothing kernel radius in pixel}
}
\value{
The smoothened field.
}
\description{
The input field is convolved with a circular kernel with equal
weights. Takes into account missing values.
}
\examples{
z <- rnorm(64 * 64)
dim(z) <- c(64, 64)
zs <- smooth(z, 8)
sd(zs)
# [1] 0.1334648
}
\author{
Jost von Hardenberg, \email{j.vonhardenberg@isac.cnr.it}
}
